Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 549614 - net-nds/openldap-2.4.40-r3 configure error: Unknown Berkeley DB major version in db.h
Summary: net-nds/openldap-2.4.40-r3 configure error: Unknown Berkeley DB major version...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LDAP Herd
URL: http://www.openldap.org/devel/gitweb....
Whiteboard:
Keywords: PATCH
Depends on: 554726
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-05-16 02:03 UTC by jospezial
Modified: 2015-09-03 19:36 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2015-05-16 02:03:02 UTC
configure:22923: x86_64-pc-linux-gnu-gcc -c -march=native -O2 -pipe  -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/db5.3 conftest.c >&5
configure:22923: $? = 0
configure:22945: result: 8
configure:22965: checking db.h usability
configure:22965: x86_64-pc-linux-gnu-gcc -c -march=native -O2 -pipe  -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/db5.3 conftest.c >&5
configure:22965: $? = 0
configure:22965: result: yes
configure:22965: checking db.h presence
configure:22965: x86_64-pc-linux-gnu-gcc -E  -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/db5.3 conftest.c
configure:22965: $? = 0
configure:22965: result: yes
configure:22965: checking for db.h
configure:22965: result: yes
configure:22976: checking for Berkeley DB major version in db.h
configure:22996: result: none
configure:22999: error: Unknown Berkeley DB major version in db.h



=================================================================
                        Package Settings
=================================================================

sys-libs/db-5.3.28-r2::gentoo was built with the following:
USE="cxx java -doc -examples -tcl -test" ABI_X86="32 64 -x32"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--default-symver"


sys-libs/db-6.0.30-r1::gentoo was built with the following:
USE="cxx java -doc -examples -tcl -test" ABI_X86="32 64 -x32"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--default-symver"
Comment 2 jospezial 2015-05-16 21:29:45 UTC
net-nds/openldap-2.4.40-r3 merged.

with help of the patch from upstream master git:
http://www.openldap.org/devel/gitweb.cgi?p=openldap.git;a=commit;h=f19f1c32496f3728c16c13b87d91a912e94bb7b2
Comment 3 jospezial 2015-07-13 10:38:21 UTC
This is fixed in openldap-2.4.41 .
Please bump.
https://bugs.gentoo.org/show_bug.cgi?id=554726
Comment 4 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-09-03 19:36:00 UTC
fixed in 2.4.42